# Deep Alignment Network PyTorch
[![Build Status](https://travis-ci.com/justusschock/deep_alignment_network_pytorch.svg?branch=master)](https://travis-ci.com/justusschock/deep_alignment_network_pytorch) [![codecov](https://codecov.io/gh/justusschock/deep_alignment_network_pytorch/branch/master/graph/badge.svg)](https://codecov.io/gh/justusschock/deep_alignment_network_pytorch)

This repository contains a [`delira`](https://github.com/justusschock/delira)-compatible implementation of the Deep Alignment Network.

The original implementation can be found [here](https://github.com/MarekKowalski/DeepAlignmentNetwork) and the paper is available on [arXiv](https://arxiv.org/abs/1706.01789)

An example using the HELEN dataset can be found in the [notebooks](notebooks/felen_example.ipynb) folder.

## Installation

This repository can be installed from pip via:
```
pip install deep-alignment-pytorch
```

or from source via
```
pip install git+https://github.com/justusschock/deep_alignment_network_pytorch
```

An installation from pip will be possible soon, once the complete repository setup is completed.

## Poster (taken from original implementation)
<img src="http://home.elka.pw.edu.pl/~mkowals6/lib/exe/fetch.php?media=wiki:dan-poster.jpg" width="60%">
